function []=compileC()
% compile the two c subroutines, namely, "shurq.c" and "shurs.c" 

if strcmp(computer,'PCWIN') || strcmp(computer,'PCWIN64')
    % compile C subroutine corresponding to second-order cones
    disp('mex -largeArrayDims shurq.c');
    mex('-largeArrayDims', 'shurq.c');
    % complie C subroutine corresponding to semidefinite cones
%     blaslib=fullfile(matlabroot, 'extern', 'lib', computer('arch'), 'lcc', 'libmwblas.lib');
    blaslib=fullfile(matlabroot, 'extern', 'lib', computer('arch'), 'microsoft', 'libmwblas.lib');
    disp(['mex -largeArrayDims shurs.c ', blaslib]);
    mex('-largeArrayDims', 'shurs.c', blaslib);
elseif strcmp(computer,'GLNX86') || strcmp(computer,'GLNXA64')
    % compile C subroutine corresponding to second-order cones
    disp('mex -largeArrayDims shurq.c');
    mex('-largeArrayDims', 'shurq.c');
    % complie C subroutine corresponding to semidefinite cones
    disp('mex -largeArrayDims shurs.c -lmwblas');
    mex('-largeArrayDims', 'shurs.c', '-lmwblas');
end
end
